**Serial connection via USB**

1. Необходимо выяснить к какому порту происходит подключение при включении USB кабеля.
*до подключения кабеля*
```bash
ls /dev | grep USB
```
*подключить кабель и повторить ввод команды*
```bash
user@host:~$ ls /dev | grep USB
ttyUSB0
```

2. Уточнить кому принадлежит устройство (пользователь:группа)
```bash
ls -l /dev/ttyUSB0
```
*пример вывода*
```bash
da2001@Metromint:~$ ls -l /dev/ttyUSB0
crw-rw---- 1 root dialout 188, 0 авг 26 09:41 /dev/ttyUSB0
```
*из вывода понятно, что права на запись есть у владельца и группы. Необходимо добавить своего пользователя в эту группу*
```bash
sudo usermod -aG dialout $USER
```
*для вступления изменений в силу необходимо перелогиниться.*